# $Revision: 1.57 $, $Date: 2002/09/12 15:26:56 $
#
# todo:
# 1. numpy? extensions?
# 2. gtkgl module

%include	/usr/lib/rpm/macros.python

%define		module	pygtk

Summary:	Python bindings for Gtk+ 2.x libraries
Summary(pl):	Wizania Pythona do bibliotek Gtk+ 2.x
Name:		python-%{module}
Version:	1.99.13
Release:	3
License:	LGPL
Group:		Libraries/Python
Source0:	ftp://ftp.gtk.org/pub/gtk/python/v2.0/%{module}-%{version}.tar.gz
Patch0:		%{name}-pyc.patch
URL:		http://daa.com.au/~james/pygtk
%pyrequires_eq	python-modules
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for Gtk+ 2.x libraries. This package contains documentation
and examples.

%description -l pl
Wizania Pythona do bibliotek Gtk+ 2.x. Ten pakiet zawiera dokumentacj
oraz przykady.

%package devel
Summary:	Python bindings for Gtk+ 2.x libraries - development files
Summary(pl):	Wizania Pythona do bibliotek Gtk+ 2.x - cz rozwojowa
Group:		Development/Languages/Python
Requires:	%{name}-atk = %{version}
Requires:	%{name}-glade = %{version}
Requires:	%{name}-gobject = %{version}
Requires:	%{name}-gtk = %{version}
Requires:	%{name}-pango = %{version}

%description devel
This package contains files required to build wrappers for Gtk+ addon
libraries so that they interoperate with Python bindings.

%description devel -l pl
Pakiet zawiera pliki wymagane do zbudowania funkcji do bibliotek Gtk+,
tak by mogy te biblioteki kooperowa z wizaniami Pythona.

%package gobject
Summary:	Python bindings for GObject library
Summary(pl):	Wizania Pythona do biblioteki GObject
Group:		Libraries/Python

%description gobject
Python bindings for GObject library.

%description gobject -l pl
Wizania Pythona do biblioteki GObject.

%package gtk
Summary:	Python bindings for Gtk+ library
Summary(pl):	Wizania Pythona do biblioteki Gtk+
Group:		Libraries/Python
Requires:	%{name}-atk = %{version}
Requires:	%{name}-pango = %{version}
Conflicts:	%{name} < 1.0

%description gtk
Python bindings for Gtk+ library.

%description gtk -l pl
Wizania Pythona do biblioteki Gtk+.

%package atk
Summary:	Python bindings for ATK library
Summary(pl):	Wizania Pythona do biblioteki ATK
Group:		Libraries/Python
Requires:	%{name}-gobject = %{version}

%description atk
Python bindings for ATK library.

%description atk -l pl
Wizania Pythona do biblioteki ATK.

%package pango
Summary:	Python bindings for Pango library
Summary(pl):	Wizania Pythona do biblioteki Pango
Group:		Libraries/Python
Requires:	%{name}-gobject = %{version}

%description pango
Python bindings for Pango library.

%description pango -l pl
Wizania Pythona do biblioteki Pango.

%package glade
Summary:	Python bindings for Glade library
Summary(pl):	Wizania Pythona do biblioteki Glade
Group:		Libraries/Python
Requires:	%{name}-gtk = %{version}

%description glade
Python bindings for Glade library.

%description glade -l pl
Wizania Pythona do biblioteki Glade.

%prep
%setup  -q -n %{module}-%{version}
%patch0 -p1

%build
%configure \
	--enable-thread
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog NEWS MAPPING TODO THREADS AUTHORS
%{_examplesdir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_includedir}/pygtk-2.0

%dir %{_datadir}/%{module}
%dir %{_datadir}/%{module}/2.0
%dir %{_datadir}/%{module}/2.0/codegen
%{_datadir}/%{module}/2.0/codegen/*.py[co]

%{_datadir}/%{module}/2.0/defs

%{_pkgconfigdir}/*.pc

%files gobject
%defattr(644,root,root,755)
%{py_sitedir}/pygtk.pth
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gobject*.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gobject*.la

%files gtk
%defattr(644,root,root,755)
%dir %{py_sitedir}/gtk-2.0
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/*.py[co]
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/_gtk*.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/_gtk*.la
%{py_sitedir}/*.py[co]

%files atk
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/atk*.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/atk*.la

%files pango
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/pango*.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/pango*.la

%files glade
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/glade*.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/glade*.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-pygtk.spec,v $
Revision 1.57  2002/09/12 15:26:56  wrobell
- fixed requirements

Revision 1.56  2002/09/12 15:18:55  wrobell
- move pth file to gobject subpackage (it is required by the rest)
- rel. 3, stb

Revision 1.55  2002/09/12 15:03:20  wrobell
- added defattr missing

Revision 1.54  2002/09/09 11:19:01  wiget
- fix codegen

Revision 1.53  2002/09/09 11:05:13  wiget
- enable threads support
- release 2

Revision 1.52  2002/09/04 12:26:15  kura
- added missing pygtk.pth

Revision 1.51  2002/09/04 12:17:47  kura
- oops, %clean uncommented

Revision 1.50  2002/09/04 12:15:46  kura
- updated to 1.99.13

Revision 1.49  2002/09/03 08:51:13  kloczek
- relase 2: rebuild.

Revision 1.48  2002/07/29 12:50:10  wrobell
- ver. 1.99.12

Revision 1.47  2002/07/19 21:48:00  wrobell
- use requirements properly

Revision 1.46  2002/07/12 09:22:45  wrobell
- ver. 1.99.11

Revision 1.45  2002/07/04 23:50:01  wrobell
- devel subpackage
- new doc

Revision 1.44  2002/05/06 21:46:49  kloczek
- fixed/better Summary.

Revision 1.43  2002/05/06 17:57:15  wrobell
- ver. 1.99.9

Revision 1.42  2002/04/13 17:34:02  kloczek
- rebuild against pythin 2.2.1.

Revision 1.41  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.40  2002/03/18 06:53:56  wrobell
- group Development/Languages/Python changed to Libraries/Python where
  appropriate
- ver. 1.99.8
- nest

Revision 1.39  2002/03/12 02:43:45  wrobell
- conflicts python-pygtk < 1.0; i suppose that pygtk 1.0 will never exist

Revision 1.38  2002/03/12 02:33:52  wrobell
- apropriate license
- main package description (it was pygtk.spec not README!)
- rel. 0.3

Revision 1.37  2002/03/12 02:23:40  wrobell
- libglade2-devel requires gtk+2-devel, which requires atk-devel, which
  requires pango-devel... ufff...

Revision 1.36  2002/03/12 02:17:44  wrobell
- glade descriptions belong to glade subpackage

Revision 1.35  2002/03/12 02:05:39  wrobell
- fixed install requirements

Revision 1.34  2002/03/12 02:04:59  wrobell
- fixed install requirements
- sorted build requirements
- and sleeping is for morons!

Revision 1.33  2002/03/12 02:01:14  wrobell
- all summaries and nearly all descriptions
- sleeping is for morons :-P

Revision 1.32  2002/03/11 16:28:12  wrobell
- build requirements improvements
- glade subpackage added
- definition files moved to main package
- rel. 0.2

Revision 1.31  2002/03/11 11:30:34  wrobell
- fixed build requirement

Revision 1.30  2002/03/06 11:18:54  ankry
- typo in URL

Revision 1.29  2002/03/05 11:07:01  wrobell
- source fixed

Revision 1.28  2002/03/05 10:51:04  wrobell
- reincarnation for pygtk 2.0 (now 1.99.x versions)
- nest

